IMPORTANT:
This module does not need to be enabled, and enabling it simply
creates all of the default terms easily for those who are non-technical.
If you prefer, you can execute this function manually, via a hook_update,
hook_install, or hook_enable of your own custom module, by using:

    module_load_include('install','simple_podcast','modules/simple_podcast_itunes_categories');
  
Then you can do:
  
    // Create all iTunes compatible categories and subcategories:
    simple_podcast_itunes_categories_enable();
  
and/or:

    $vocabulary_machine_name = 'simple_podcast_topics';
    $vocab = taxonomy_vocabulary_machine_name_load($vocabulary_machine_name);
    
    if ($vocab == FALSE) {
      drupal_set_message('Error while attempting to install my custom categories.  Could not find simple_podcast_topic vocabulary!', 'error');
      return;
    }
    
    // Create my custom podcast categories:
    $terms = array(
      [ 'name' => 'My Custom Category',
        'children' => [
          [ 'name' => 'My Subcategory 1' ],
          [ 'name' => 'My Subcategory 2'
            'children' => ['name' => 'Sub-subcategory'],
          ],
          ['name' => 'My Third Subcategory'],
        ]
      ],
      [ 'name' => 'My Other Custom Category' ],
    );
    simple_podcast_itunes_categories_taxonomy_terms_load_terms($terms, $vocab);

and the categories will be created without adding a module to your enabled modules list.
